body.nav--desktop .sitenavigation__mainnav .button,
body.nav--desktop .sitenavigation__button {
  display: none !important;
}

body.nav--desktop .siteheader__menu {
  display: none !important;
}

body.nav--mobile .siteheader__actions {
  display: none !important;
}

body.nav--mobile .sitenavigation {
  --header-link-color: var(--navigation-color);
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  min-height: 100vh;
  z-index: 95;
  color: var(--navigation-color);
  background: var(--navigation-background-color);
  width: var(--navigation-width);
  box-shadow: var(--navigation-box-shadow);
  transform: translateX(var(--navigation-width));
  opacity: 0;
  transition: transform 0.3s ease-in, opacity 0.3s linear;
  pointer-events: none;
}

body:not(.nav--mobile):not(.nav--desktop) .sitenavigation {
  opacity: 0;
  pointer-events: none;
  transform: translateX(var(--navigation-width));
}

body:not(.nav--mobile):not(.nav--desktop) .siteheader__search__panel {
  opacity: 0;
  pointer-events: none;
}

body.nav--desktop .siteheader__search__panel {
  opacity: 1;
  pointer-events: auto;
}

body.nav--desktop .sitenavigation {
  opacity: 1;
  pointer-events: auto;
  transform: none;
}

body.nav--mobile.menuVisible .sitenavigation {
  transform: translate(0, 0);
  opacity: 1;
  pointer-events: auto;
}

body.nav--mobile .sitenavigation__actions {
  background: var(--navigation-background-color);
  position: absolute;
}

body.nav--mobile .sitenavigation__mainnav {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
}

body.nav--mobile .sitenavigation__mainnav ul {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
}

body.nav--mobile .sitenavigation__mainnav ul li {
  padding: 0;
}
